org.apache.lucene.search

## Class PointInSetQuery.Stream

- java.lang.Object
- - org.apache.lucene.search.PointInSetQuery.Stream

- All Implemented Interfaces:
    BytesRefIterator
  Enclosing class:
    PointInSetQuery

      public abstract static class PointInSetQuery.Stream
      extends Object
      implements BytesRefIterator

  Iterator of encoded point values.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.util.BytesRefIterator

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stream()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract BytesRef` | `next()` Increments the iteration to the next `BytesRef` in the iterator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stream

          public Stream()

  - ### Method Detail

    - #### next

          public abstract BytesRef next()

      Description copied from interface: `BytesRefIterator`
      Increments the iteration to the next `BytesRef` in the iterator. Returns the resulting `BytesRef` or `null` if the end of the iterator is reached. The returned BytesRef may be re-used across calls to next. After this method returns null, do not call it again: the results are undefined.
      Specified by:
        `next` in interface `BytesRefIterator`
      Returns:
        the next `BytesRef` in the iterator or `null` if the end of the iterator is reached.

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.